--
-- HelperAdmin-Tools Registration
-- V1.0.0.0
--
-- @author apuehri
-- @date 08/01/2018
--
-- Copyright (C) apuehri
-- V1.0.0.0 ..... first implementation

SpecializationUtil.registerSpecialization("helperadmintools", "helperadmintools", g_currentModDirectory.."scriptmodules/helperadmintools.lua")

helperadmintools_Register = {};
helperadmintools_Register.debug = false;

function helperadmintools_Register:loadMap(name)
	if self.helperadmintools_Register_Done == nil then
		self.helperadmintools_Register_Done = true;
		for typeName,vehicleType in pairs(VehicleTypeUtil.vehicleTypes) do
			if vehicleType ~= nil then
				for i,spec in pairs(vehicleType.specializations) do
					if spec ~= nil and spec == SpecializationUtil.getSpecialization('aiVehicle') and SpecializationUtil.getSpecialization("steerable") then
						if helperadmintools_Register.debug then
							print(('--- HelperAdmin-Tools Registration Debug ... adding helperadmintools to %q'):format(tostring(vehicleType.name)));
						end;
						table.insert(vehicleType.specializations, SpecializationUtil.getSpecialization('helperadmintools'));
						break;
					end;
				end;
			end;	
		end;	
	end;
end;

function helperadmintools_Register:deleteMap()
  
end;

function helperadmintools_Register:keyEvent(unicode, sym, modifier, isDown)

end;

function helperadmintools_Register:mouseEvent(posX, posY, isDown, isUp, button)

end;

function helperadmintools_Register:update(dt)
	
end;

function helperadmintools_Register:draw()
  
end;

addModEventListener(helperadmintools_Register);